%global tarball xf86-input-wacom
%global moduledir %(pkg-config xorg-server --variable=moduledir )
%global driverdir %{moduledir}/input

Summary:       X.Org driver for Wacom devices
Name:          xorg-x11-drv-wacom
Version:       1.1.0
Release:       3%{?dist}
URL:           http://www.x.org
License:       GPLv2+
Source0:       https://github.com/linuxwacom/%{tarball}/releases/download/%{tarball}-%{version}/%{tarball}-%{version}.tar.bz2

BuildRequires: make autoconf automake libtool
BuildRequires: xorg-x11-server-devel >= 1.10.99.902
BuildRequires: xorg-x11-util-macros >= 1.3.0
BuildRequires: libX11-devel libXi-devel libXrandr-devel libXinerama-devel
BuildRequires: systemd systemd-devel
Requires:      Xorg %(xserver-sdk-abi-requires ansic)
Requires:      Xorg %(xserver-sdk-abi-requires xinput)
Requires:      xorg-x11-drv-wacom-serial-support
Provides:      linuxwacom = %{version}-%{release}

%description
The Linux Wacom Project manages the drivers, libraries, and
documentation for configuring and running Wacom tablets under
the Linux operating system. The project consist of the Wacom
Kernel driver (input-wacom), this X driver (xf86-input-wacom)
and libwacom. 

%package devel
Summary:  Xorg X11 wacom input driver development package
Requires: xorg-x11-server-devel >= 1.7.0
Requires: pkgconfig

%description devel
X.Org X11 wacom input driver development files.

%package serial-support
Summary:  Files for enabling the wacom_w8001 kernel driver

%description serial-support
Files for enabling the wacom_w8001 kernel driver on Wacom
ISDv4-compatible serial tablets. 

%prep
%autosetup -n %{tarball}-%{version}

%build
autoreconf -fiv
%configure --disable-static --disable-silent-rules --enable-debug \
           --with-systemd-unit-dir=%{_unitdir} \
           --with-udev-rules-dir=%{_prefix}/lib/udev/rules.d/
%make_build

%install
%make_install
find %{buildroot} -regex ".*\.la$" -delete
mv %{buildroot}%{_prefix}/lib/udev/rules.d/wacom.rules %{buildroot}%{_prefix}/lib/udev/rules.d/70-wacom.rules

%files
%license GPL
%doc AUTHORS ChangeLog
%{driverdir}/wacom_drv.so
%{_mandir}/man4/wacom.4*
%{_mandir}/man1/xsetwacom.1*
%{_datadir}/X11/xorg.conf.d/70-wacom.conf
%{_bindir}/xsetwacom

%files devel
%license GPL
%{_libdir}/pkgconfig/xorg-wacom.pc
%{_includedir}/xorg/Xwacom.h
%{_includedir}/xorg/wacom-properties.h
%{_includedir}/xorg/wacom-util.h
%{_includedir}/xorg/isdv4.h
%{_bindir}/isdv4-serial-debugger

%files serial-support
%license GPL
%{_prefix}/lib/udev/rules.d/70-wacom.rules
%{_bindir}/isdv4-serial-inputattach
%{_unitdir}/wacom-inputattach@.service

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.0-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Sep 27 2022 ZoeDong <zoedong@tencent.com> - 1.1.0-1
- Initial build
